AOZ Studio Beta - Bug #827

Put block in Preview window error
09/19/2021 01:49 PM - malcolm harvey

Status: Closed Start date: 09/19/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Get block and Put Block is broken in preview window, ok in real browser, Get block ok, but Put block says,"Block not defined" even
though it is.
Again in browser Put block works fine, previewer broken.

History

#1 - 09/21/2021 01:11 AM - Brian Flanagan

- Status changed from New to Feedback

Thanks for the report.
Could you please provide example code illustrating the problem?

#2 - 09/21/2021 10:02 AM - malcolm harvey

If you do the below now in the previewer, it gives, ,"Block not defined"

Again, it works in the real browser though.

This used to work in both previously to and including (B8) U15.

The Get block works, just the Put block now says previous block not defined.

Get Block 1,480,384,160,64
Put Block 1,160,88

#3 - 09/21/2021 10:58 PM - Brian Flanagan

| tried it here using 1.0.0 (B10) u16 in macOS, AOZ manifest.
(What hardware

It works fine in both the AOZ Viewer and the browser (Chrome).
| do not get the "Block not defined" error.

| added a line to make it easier to see when it's working.
Draw 480,384 To 480+159,384+63

Get Block 1,480,384,160,64

Put Block 1,160, 88

Was there more to your code besides the 2 lines?

#4 - 09/22/2021 02:57 AM - malcolm harvey

Yes, it does seam to work sep, but if im using that in my existing code when the viewer runs, it comes up with that error on the put block line.
Again chrome, mozilla, edge whatever works same code, but just not viewer, in u16 but did in u15 beta 8. Very odd.

Il see if i can get maybe the total snippit for this operation and post it back here too see.
Hard to replicate tho as so much going on in there.

#5 - 09/22/2021 03:45 AM - malcolm harvey

Yes, it does seam to work sep, but if im using that in my existing code when the viewer runs, it comes up with that error on the put block line.
Again chrome, mozilla, edge whatever works same code, but just not viewer, in u16 but did in u15 beta 8. Very odd.

Il see if i can get maybe the total snippit for this operation and post it back here too see.
Hard to replicate tho as so much going on in there.
It is in Amiga manifest | get this.

#6 - 09/23/2021 08:59 AM - malcolm harvey

Well this is the code that it is in the real game, again nothing special and all these
screens are open, but yet again, in browsers any of them it works and runs fine, but
in the u16 viewer it comes up with "Block not defined" on the Put Block command.

screen 2 /Irestart game gfx right screen 0----*

//Get Icon 2,1,0,128 To 160,256
Get Block 1,480,384,160,64

screen O
pen 0O
paper O
ink 0

Bar 160,56 to 320,184
screen O

//Paste Icon 160,56,1
Put Block 1,160,388

#7 - 09/23/2021 10:08 AM - malcolm harvey

It is simply called in a sub routine and return.

//set black to clr gfx area

//blank it center out 320,184 scr 0

//restart pastes it on the gfx game picture screen 0-—-%*

Just gets block from source screen 2 and then puts block to dest screen 0.

Yes, very odd. If | comment out this line "Put Block 1,160,88" the next line of
code is just "screen 1" which should just redirect cmd back to screen 1 and then
it says "Screen not opened" which again it is. Yes none of this makes sense.

Why would all these errors come in only the viewer and yes executes in the browsers ok.
Im starting to think to myself, unless some of the screen modes are not opening only

in the viewer U16 and then going on to give other errors based on that failing.

| guess at least it works in the browsers for now is the main thing.

These are the screen modes and screen displays im using that work in the browsers.

offsetposxnow=120

offsetposynow=40
offsetposx=123

offsetposy=50

/..

Screen Open 0,320,256,256,lowres

screen display 0,offsetposxnow,offsetposynow,320,256
/..

Screen Open 1,160,236,256,lowres

Screen Display 1,offsetposx,offsetposy, 158,236
/..

Screen Open 2,640,512,256,lowres

screen display 2,0,0,640,512

/..

Screen Open 3,640,512,256,lowres

screen display 3,0,0,640,512

/l..

Screen Open 4,640,512,256,lowres

screen display 4,0,0,640,512

/..
Screen Open 5,160,128,256,lowres

Screen Display 5,280,94,160,128
/l..
Screen Open 6,320,256,256,lowres

screen display 6,0offsetposxnow,offsetposynow+10,320,256

/..
Screen Open 7,160,128,256,lowres

screen display 7,offsetposx,offsetposy, 160,128

/l..
Screen Open 8,160,128,256,lowres
screen display 8,0,0,160,128

/..
screen open 9,160,128,256,lowres

screen display 9,-160,-128,160,128
/..
screen open 10,160,128,256,lowres

screen display 10,-160,-128,160,128

#8 - 09/24/2021 02:58 AM - malcolm harvey

Yeah only issue is cant debug like that of course.

#9 - 09/28/2021 04:54 PM - Francois Lionet

Malcom, can you just send me your application? | will be able to fix this easy if it crashes in front of me...
?

#10 - 09/28/2021 08:03 PM - malcolm harvey

| could send in we transfer, do you have email address | could send it to to test?

#11 - 09/28/2021 08:27 PM - malcolm harvey

- Assignee changed from AOZ Studio Team to Francois Lionet

#12 - 09/29/2021 06:49 AM - malcolm harvey

Ilve emailed you now the .aozip to look at. (Wetransfer).
#13 - 12/18/2021 10:08 PM - malcolm harvey
These errors in relation to Screen not opened and Put block etc etc odd random thing in previewer and not browser, all tied in now to the problem of

using the "Every x interrupt” cmd in Amiga emulation. Same as ticket 866.

#14 - 05/23/2022 10:23 AM - malcolm harvey
- Status changed from Feedback to Closed
